import { ComponentFixture, TestBed } from '@angular/core/testing';

import { LoadBalancerCreateComponent } from './load-balancer-create.component';
import { RouterTestingModule } from '@angular/router/testing';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { MatDialogModule } from '@angular/material/dialog';

describe('LoadBalancerCreateComponent', () => {
  let component: LoadBalancerCreateComponent;
  let fixture: ComponentFixture<LoadBalancerCreateComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [LoadBalancerCreateComponent],
      imports: [
        HttpClientTestingModule, RouterTestingModule, MatDialogModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(LoadBalancerCreateComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
